using System;
using UnityEngine;


public enum PlayerStance
{
    Stand,
    Crouch,
    Prone
}

[Serializable]
public class PlayerSettingsModel
{
    [Header("View Settings")]
    public float ViewXSensetivity;
    public float ViewYSensetivity;

    public bool ViewXInverted;
    public bool ViewYInverted;

    [Header("Movement Settings")]
    public bool SprintingHold;
    public float MovementSmoothing;

    [Header("Movement - Running")]
    public float RunningForwardSpeed;
    public float RunningStrafeSpeed;

    [Header("Movement - Walking")]
    public float WalkingForwardSpeed;
    public float WalkingBackwardSpeed;
    public float WalkingStrafeSpeed;

    [Header("Jumping")]
    public float JumpingHeight;
    public float JumpingFalloff;
    public float FallingSmoothing;

    [Header("Speed Effectors")]
    public float SpeedEffector = 1;
    public float CrouchSpeedEffector;
    public float ProneSpeedEffector;
    public float FallingSpeedEffector;
}


[Serializable]
public class CharacterStance
{
    public float CameraHeight;
    public CapsuleCollider StanceCollider;
}


[Serializable]
public class WeaponSettingsModel
{
    [Header("Sway")]
    public float SwayAmount;
    public bool SwayYInverted;
    public bool SwayXInverted;
    public float SwaySmoothing;
    public float SwayResetSmoothing;
    public float SwayClampX;
    public float SwayClampY;
}